 #include <LiquidCrystal.h>
const int rs = 5, en = 6, d4 = 7, d5 = 8, d6 = 9, d7 = 10;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);
#include <SFE_BMP180.h>
#include <Wire.h>
SFE_BMP180 pressure;
void setup()
{
  lcd.begin(16, 2);
  Serial.begin(115200);
  Serial.println("REBOOT");
  if (pressure.begin())
    Serial.println("BMP180 init success");
  else
  {
    Serial.println("BMP180 init fail\n\n");
    while(1); // Pause forever.
  }
}

void loop()
{
  char status;
  double T,P,p0,a;
  status = pressure.startTemperature();
  if (status != 0)
  {

    delay(status);
    status = pressure.getTemperature(T);
    if (status != 0)
    {
      lcd.setCursor(0, 0);
      lcd.print("Temp C: ");
      Serial.print("temperature: ");
      Serial.print(T,2);
      lcd.setCursor(9, 0);
      lcd.print(T);
      Serial.print(" deg C, ");
      status = pressure.startPressure(3);
      if (status != 0)
      {

        delay(status);
        status = pressure.getPressure(P,T);
        if (status != 0)
        {
          lcd.setCursor(0, 1);
          lcd.print("Pressure");
          lcd.setCursor(9, 1);
          lcd.print(P);
          Serial.print("absolute pressure: ");
          Serial.print(P,2);
          Serial.print(" mb, ");
          Serial.print(P*0.0295333727,2);
          Serial.println(" inHg");
        }
        else Serial.println("error retrieving pressure measurement\n");
      }
      else Serial.println("error starting pressure measurement\n");
    }
    else Serial.println("error retrieving temperature measurement\n");
  }
  else Serial.println("error starting temperature measurement\n");

  delay(5000);  // Pause for 5 seconds.
}
               
